package auth

import (
	"git.tek.govt.hu/dowerx/szoe-pontok/database"
	"git.tek.govt.hu/dowerx/szoe-pontok/model"
	"golang.org/x/crypto/bcrypt"
)

func Register(user model.User) error {
	db := database.GetDB()

	bytes, err := bcrypt.GenerateFromPassword([]byte(user.Password), bcrypt.DefaultCost)
	if err != nil {
		return err
	}

	_, err = db.NamedExec(`insert into "user" ("neptun", "email", "password") values (:neptun, :email ,:password)`,
		map[string]interface{}{
			"neptun":   user.Neptun,
			"email":    user.Email,
			"password": string(bytes),
		})

	return err
}
